from enum import StrEnum


class Color(StrEnum):
    RED = "\033[0;31m"
    GREEN = "\033[0;32m"
    BROWN = "\033[0;33m"
    BLUE = "\033[0;34m"
    PURPLE = "\033[0;35m"
    CYAN = "\033[0;36m"
    YELLOW = "\033[1;33m"
    RESET = "\x1b[0m"


def colorize(s: str, color: Color) -> str:
    return f"{color}{s}{Color.RESET}"
